TIMEOUT(1)

NAVN
timeout - run a command with a time limit

OVERSIKT
timeout [VALG] VARIGHET KOMMANDO [ARG]...
timeout [VALG]

BESKRIVELSE

Start en KOMMANDO, og drep den hvis den fremdeles kjører etter valgt VARIGHET.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

--preserve-status

    Avslutt med samme status som KOMMANDO, selv om

    kommandoen evt. overskrider VARIGHET.

--foreground

    Når timeout ikke kjøres direkte fra et kommandoskall, kan

    KOMMANDO lese og skrive TTY-signaler. I denne modusen går ikke underprosesser av KOMMANDO ut på tid.

-k, --kill-after=VARIGHET

    Ssend et KILL-signal hvis KOMMANDOen fremdeles

    kjører i valgt tid etter at det opprinnelige signalet ble sendt.

-s, --signal=SIGNAL

    Velg hvilket signal som skal sendes når tiden har gått ut.

    SIGNAL kan være et navn, som «HUP», eller et tall. Bruk kommandoen «kill -l» for å vise en liste over mulige signaler.

-v, --verbose
    Sender signal(er) ved tidsavbrudd til standardfeil.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

VARIGHET velges i form av et desimaltall, og kan brukes med eller uten følgende suffikser: «s» for sekunder (forvalgt), «m» for minutter, «h» for timer eller «d» for dager. Bruk 0 for å slå av tidsavbrudd.

Upon timeout, send the TERM signal to COMMAND, if no other SIGNAL specified. The TERM signal kills any process that does not block or catch that signal. It may be necessary to use the KILL signal, since this signal can't be caught.

  Avslutningsstatus:

124 if COMMAND times out, and --preserve-status is not specified

125 if the timeout command itself fails

126 if COMMAND is found but cannot be invoked

127 if COMMAND cannot be found

137 if COMMAND (or timeout itself) is sent the KILL (9) signal (128+9)

-   the exit status of COMMAND otherwise

BUGS
Some platforms don't currently support timeouts beyond the year 2038.

OPPHAVSMANN
Skrevet av Padraig Brady.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2024 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
kill(1)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/timeout>
eller lokalt: info '(coreutils) timeout invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.